X2Go Bug report logs - #1226
x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Sean Hooten <shooten@berkeley.edu>

Date: Thu, 19 Oct 2017 22:10:01 UTC

Severity: normal

Found in version 4.1.0.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient_latest_macosx_10_9. (Thu, 19 Oct 2017 22:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 19 Oct 2017 22:10:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: submit@bugs.x2go.org
Subject: x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 19 Oct 2017 15:08:21 -0700
[Message part 1 (text/plain, inline)]
Package: X2GoClient_latest_macosx_10_9
Version: 4.1.0.0

Steps taken to produce the bug:
Ran x2goclient.app, immediately get error upon initialization.

Exact error message:

> Error fetching PulseAudio version number!

Unexpected format encountered.


Expected:
I expected x2goclient to initialize normally without an error message.

What actually happened:
x2goclient shows me the regular user interface with the pop-up error
message. After selecting "Okay" it crashes. This was not an issue before,
seemingly began happening spontaneously. I have attempted to reboot my
machine, and reinstalled x2goclient and XQuartz to no avail. I have
attached the full bug report.

I'm not sure why it is attempting to fetch a PulseAudio version number,
this is not on my machine and I had not yet attempted to connect to my
server before receiving the error.

OS: Mac OS X 10.11.6

Thanks!
Sean
[Message part 2 (text/html, inline)]
[x2goclient_bugReport.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient_latest_macosx_10_9. (Tue, 24 Oct 2017 08:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 24 Oct 2017 08:25:02 GMT) Full text and rfc822 format available.

Message #10 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>, 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Tue, 24 Oct 2017 10:16:33 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient 4.1.0.0
Control: reassign 1225 x2goclient 4.1.0.0

On 10/20/2017 12:08 AM, Sean Hooten wrote:
> Ran x2goclient.app, immediately get error upon initialization. 
> 
> Exact error message:
> 
>     Error fetching PulseAudio version number!
> 
>     Unexpected format encountered.

This is odd.


> What actually happened:
> x2goclient shows me the regular user interface with the pop-up error message.
> After selecting "Okay" it crashes. This was not an issue before, seemingly began
> happening spontaneously. I have attempted to reboot my machine, and reinstalled
> x2goclient and XQuartz to no avail. I have attached the full bug report.

Reinstalling x2goclient or XQuartz won't help in that case.


> I'm not sure why it is attempting to fetch a PulseAudio version number, this is
> not on my machine and I had not yet attempted to connect to my server before
> receiving the error.

We're currently starting PA upon client startup, no matter whether sessions will
use it or not. The currently WIP/unreleased X2Go Client version changed this
behavior, IIRC.

PA is shipped within the x2goclient app bundle, so users do not need to install
it themselves in general. This said, if it is, this might cause trouble.


Can you please open a terminal window and execute:

/path/to/x2goclient.app/Contents/MacOS/x2goclient --debug >
~/x2goclient.debug.log 2>&1

Naturally with /path/to/x2goclient.app substituted with the actual path.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2goclient_latest_macosx_10_9' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to 1226-submit@bugs.x2go.org. (Tue, 24 Oct 2017 08:25:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to 1226-submit@bugs.x2go.org. (Tue, 24 Oct 2017 08:25:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to 1226-submit@bugs.x2go.org. (Tue, 24 Oct 2017 08:25:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Tue, 24 Oct 2017 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 24 Oct 2017 18:15:02 GMT) Full text and rfc822 format available.

Message #21 received at 1226@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Tue, 24 Oct 2017 11:11:00 -0700
[Message part 1 (text/plain, inline)]
On Tue, Oct 24, 2017 at 1:16 AM, Mihai Moldovan <ionic@ionic.de> wrote:
>
> Can you please open a terminal window and execute:
>
> /path/to/x2goclient.app/Contents/MacOS/x2goclient --debug >
> ~/x2goclient.debug.log 2>&1
>
> Naturally with /path/to/x2goclient.app substituted with the actual path.
>

Okay, so that command started x2goclient.app and again threw the error.
Here is the log file the command produced (also attached):

x2go-INFO-1> "Starting X2Go Client..."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:518> "$HOME=/Users/shooten"
x2go-DEBUG-../src/onmainwindow.cpp:2279> Reading 2 sessions from config
file.
x2go-DEBUG-../src/sessionbutton.cpp:341> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/sessionbutton.cpp:341> Creating QPixmap with session
icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning:
"/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/usr/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/usr/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list
("/usr/local/bin"): true
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end:
"/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin"
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning:
"/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/opt/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/opt/local/bin")
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list
("/opt/local/bin"): false
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end:
"/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin"
x2go-DEBUG-../src/pulsemanager.cpp:140> Found PA binary as
"/Applications/x2goclient.app/Contents/exe/pulseaudio"
x2go-DEBUG-../src/pulsemanager.cpp:141> Corresponding working dir:
"/Applications/x2goclient.app/Contents/exe"
x2go-ERROR-19> Unable to fetch PulseAudio version - unexpected format.
Exiting.
2017-10-24 10:57:20.883 x2goclient[671:13310] modalSession has been exited
prematurely - check for a reentrant call to endModalSession:
WARNING: failed to kill process group '671': No such process

Sean
[Message part 2 (text/html, inline)]
[x2goclient.debug.log (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Wed, 25 Oct 2017 03:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 25 Oct 2017 03:00:02 GMT) Full text and rfc822 format available.

Message #26 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Wed, 25 Oct 2017 04:59:31 +0200
[Message part 1 (text/plain, inline)]
On 10/24/2017 08:11 PM, Sean Hooten wrote:
> Okay, so that command started x2goclient.app and again threw the error. Here is
> the log file the command produced (also attached):
> 
> [...]
> x2go-DEBUG-../src/pulsemanager.cpp:140> Found PA binary as
> "/Applications/x2goclient.app/Contents/exe/pulseaudio"
> x2go-DEBUG-../src/pulsemanager.cpp:141> Corresponding working dir:
> "/Applications/x2goclient.app/Contents/exe"
> x2go-ERROR-19> Unable to fetch PulseAudio version - unexpected format. Exiting.
> 2017-10-24 10:57:20.883 x2goclient[671:13310] modalSession has been exited
> prematurely - check for a reentrant call to endModalSession:
> WARNING: failed to kill process group '671': No such process

I really should include the version information in the debug output one day...

Meanwhile, it looks like the bundled PA version is found, which is good.

What does /Applications/x2goclient.app/Contents/exe/pulseaudio --version
2>/dev/null output? Currently I suspect that it crashes on your box.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 00:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 00:20:02 GMT) Full text and rfc822 format available.

Message #31 received at 1226@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Wed, 25 Oct 2017 17:15:35 -0700
[Message part 1 (text/plain, inline)]
On Tue, Oct 24, 2017 at 7:59 PM, Mihai Moldovan <ionic@ionic.de> wrote:

> What does /Applications/x2goclient.app/Contents/exe/pulseaudio --version
> 2>/dev/null output? Currently I suspect that it crashes on your box.


I get no output from that command.

Okay, but I discovered something interesting. The command seems to return
the PulseAudio version number when I run with sudo, i.e.:
sudo /Applications/x2goclient.app/Contents/exe/pulseaudio --version
2>/dev/null

I get output:
pulseaudio 10.0-rebootstrapped

I also tried logging into my other administrator account, and x2goclient
seems to work fine on that account. So for whatever reason it seems that
the permissions on my regular user account are mesed up... I'm not sure
what do to about this, I might need to restore to a backup. But at least
for the time being I can use the client.

Thanks for the help Mihai,

Sean
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 04:30:03 GMT) Full text and rfc822 format available.

Message #36 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 06:25:20 +0200
[Message part 1 (text/plain, inline)]
On 10/26/2017 02:15 AM, Sean Hooten wrote:
> On Tue, Oct 24, 2017 at 7:59 PM, Mihai Moldovan <ionic@ionic.de
> <mailto:ionic@ionic.de>> wrote:
> 
>     What does /Applications/x2goclient.app/Contents/exe/pulseaudio --version
>     2>/dev/null output? Currently I suspect that it crashes on your box.
> 
> 
> I get no output from that command.
> 
> Okay, but I discovered something interesting. The command seems to return the
> PulseAudio version number when I run with sudo, i.e.:
> sudo /Applications/x2goclient.app/Contents/exe/pulseaudio --version 2>/dev/null
> 
> I get output:
> pulseaudio 10.0-rebootstrapped

That's the normal output... how odd!


> I also tried logging into my other administrator account, and x2goclient seems
> to work fine on that account. So for whatever reason it seems that the
> permissions on my regular user account are mesed up... I'm not sure what do to
> about this, I might need to restore to a backup. But at least for the time being
> I can use the client.

I'd still like to know what is messed up, though.

As the normal user for which pulseaudio --version doesn't work, can you try
spawning sudo dtruss -f sudo -u $USER
/Applications/x2goclient.app/Contents/exe/pulseaudio --version

Yeah, I know this looks weird since we need to use sudo twice, but dtruss is
only working with elevated privileges, but since root is able to execute PA
--version just fine, we need to switch back to your other user account...



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 07:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 07:05:01 GMT) Full text and rfc822 format available.

Message #41 received at 1226@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 00:03:21 -0700
[Message part 1 (text/plain, inline)]
On Wed, Oct 25, 2017 at 9:25 PM, Mihai Moldovan <ionic@ionic.de> wrote:
>
>
> I'd still like to know what is messed up, though.
>
> As the normal user for which pulseaudio --version doesn't work, can you try
> spawning sudo dtruss -f sudo -u $USER
> /Applications/x2goclient.app/Contents/exe/pulseaudio --version
>
> Yeah, I know this looks weird since we need to use sudo twice, but dtruss
> is
> only working with elevated privileges, but since root is able to execute PA
> --version just fine, we need to switch back to your other user account...
>
>
I get the following:

dtrace: failed to execute sudo: dtrace cannot control executables signed
with restricted entitlements

From briefly reading up, it looks like Apple's System Integrity Protection
might be interfering. Should I disable it and try again?

Sean
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 07:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 07:10:02 GMT) Full text and rfc822 format available.

Message #46 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 09:06:54 +0200
[Message part 1 (text/plain, inline)]
On 10/26/2017 09:03 AM, Sean Hooten wrote:
> I get the following:
> 
> dtrace: failed to execute sudo: dtrace cannot control executables signed with
> restricted entitlements
> 
> 
> From briefly reading up, it looks like Apple's System Integrity Protection might
> be interfering. Should I disable it and try again?


Rather not. Let's try something else.

sudo dtruss -fn pulseaudio

Then, in another shell, execute
/Applications/x2goclient.app/Contents/exe/pulseaudio --version

If that doesn't work (i.e., dtrace doesn't see the newly spawned process), maybe
you'll need to give /Applications/x2goclient.app/Contents/exe/pulseaudio as the
argument to -n instead.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 07:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 07:45:01 GMT) Full text and rfc822 format available.

Message #51 received at 1226@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 00:41:18 -0700
[Message part 1 (text/plain, inline)]
On Thu, Oct 26, 2017 at 12:06 AM, Mihai Moldovan <ionic@ionic.de> wrote:
>
>
> Rather not. Let's try something else.
>
> sudo dtruss -fn pulseaudio
>
> Then, in another shell, execute
> /Applications/x2goclient.app/Contents/exe/pulseaudio --version
>
> If that doesn't work (i.e., dtrace doesn't see the newly spawned process),
> maybe
> you'll need to give /Applications/x2goclient.app/Contents/exe/pulseaudio
> as the
> argument to -n instead.
>
>
Okay so I ran dtrace, and then in another shell ran the second command. The
second command output:

$ /Applications/x2goclient.app/Contents/exe/pulseaudio --version
W: [] caps.c: Normally all extra capabilities would be dropped now, but
that's impossible because PulseAudio was built without capabilities support.
W: [] core-util.c: Failed to open configuration file
'/Users/shooten/.config/pulse//daemon.conf': Permission denied
W: [] daemon-conf.c: Failed to open configuration file: Permission denied



And here's the output from dtrace:

$ sudo dtruss -fn
pulseaudio/Applications/x2goclient.app/Contents/exe/pulseaudio


PID/THRD  SYSCALL(args)  = return

 4964/0x34936:  thread_selfid(0x7FDDFB2004F0, 0x7FDDFB200600,
0x7FDDF9C0A820) = 215350 0
 4964/0x34936:  csops(0x0, 0x0, 0x7FFF4FEC9990) = 0 0
 4964/0x34936:  issetugid(0x0, 0x0, 0x7FFF4FEC9990) = 0 0
 4964/0x34936:  shared_region_check_np(0x7FFF4FEC7898, 0x0, 0x7FFF4FEC9990)
= 0 0
 4964/0x34936:  stat64("/\0", 0x7FFF4FEC6EB0, 0x7FFF4FEC9990) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/pulseaudio/libpulsecore-10.0.dylib\0",
0x7FFF4FEC8AE8, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/pulseaudio/libpulsecore-10.0.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  mmap(0x10FD51000, 0xA9000, 0x5, 0x12, 0x3, 0x0) =
0x10FD51000 0
 4964/0x34936:  mmap(0x10FDFA000, 0x2000, 0x3, 0x12, 0x3, 0xA9000) =
0x10FDFA000 0
 4964/0x34936:  mmap(0x10FDFC000, 0x31A20, 0x1, 0x12, 0x3, 0xAB000) =
0x10FDFC000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6BB0) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6B38) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/libpulse.0.dylib\0",
0x7FFF4FEC8AF8, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/libpulse.0.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  mmap(0x10FE34000, 0x5B000, 0x5, 0x12, 0x3, 0x0) =
0x10FE34000 0
 4964/0x34936:  mmap(0x10FE8F000, 0x1000, 0x3, 0x12, 0x3, 0x5B000) =
0x10FE8F000 0
 4964/0x34936:  mmap(0x10FE90000, 0x19894, 0x1, 0x12, 0x3, 0x5C000) =
0x10FE90000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6D50) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6CD8) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/libspeexdsp.1.dylib\0",
0x7FFF4FEC8AF8, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/libspeexdsp.1.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\312\376\272\276\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x1000) = 4096 0
 4964/0x34936:  mmap(0x10FEAD000, 0xE000, 0x5, 0x12, 0x3, 0x1000) =
0x10FEAD000 0
 4964/0x34936:  mmap(0x10FEBB000, 0x1000, 0x3, 0x12, 0x3, 0xF000) =
0x10FEBB000 0
 4964/0x34936:  mmap(0x10FEBC000, 0x1A58, 0x1, 0x12, 0x3, 0x10000) =
0x10FEBC000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6F50) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6ED8) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/pulseaudio/libpulsecommon-10.0.dylib\0",
0x7FFF4FEC8AE8, 0x7FFF4FEC87C0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/pulseaudio/libpulsecommon-10.0.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  mmap(0x10FEC3000, 0x81000, 0x5, 0x12, 0x3, 0x0) =
0x10FEC3000 0
 4964/0x34936:  mmap(0x10FF44000, 0x1000, 0x3, 0x12, 0x3, 0x81000) =
0x10FF44000 0
 4964/0x34936:  mmap(0x10FF45000, 0x2F74C, 0x1, 0x12, 0x3, 0x82000) =
0x10FF45000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6D90) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6D18) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/libsndfile.1.dylib\0",
0x7FFF4FEC8AF8, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/libsndfile.1.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  mmap(0x10FF7A000, 0x55000, 0x5, 0x12, 0x3, 0x0) =
0x10FF7A000 0
 4964/0x34936:  mmap(0x10FFCF000, 0x3000, 0x3, 0x12, 0x3, 0x55000) =
0x10FFCF000 0
 4964/0x34936:  mmap(0x10FFD4000, 0x91EC, 0x1, 0x12, 0x3, 0x58000) =
0x10FFD4000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6E60) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6DE8) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  getattrlist("/Applications\0", 0x7FFF68DDE154,
0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:  getattrlist("/Applications/x2goclient.app/Contents/exe\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 getattrlist("/Applications/x2goclient.app/Contents/exe/pulseaudio\0",
0x7FFF68DDE154, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 stat64("/Applications/x2goclient.app/Contents/exe/../Frameworks/libltdl.7.dylib\0",
0x7FFF4FEC8AF8, 0x7FFF4FEC87D0) = 0 0
 4964/0x34936:
 open("/Applications/x2goclient.app/Contents/exe/../Frameworks/libltdl.7.dylib\0",
0x0, 0x0) = 3 0
 4964/0x34936:  pread(0x3, "\312\376\272\276\0", 0x1000, 0x0) = 4096 0
 4964/0x34936:  pread(0x3, "\317\372\355\376\a\0", 0x1000, 0x1000) = 4096 0
 4964/0x34936:  mmap(0x10FFE4000, 0x6000, 0x5, 0x12, 0x3, 0x1000) =
0x10FFE4000 0
 4964/0x34936:  mmap(0x10FFEA000, 0x1000, 0x3, 0x12, 0x3, 0x7000) =
0x10FFEA000 0
 4964/0x34936:  mmap(0x10FFEB000, 0x1C64, 0x1, 0x12, 0x3, 0x8000) =
0x10FFEB000 0
 4964/0x34936:  fcntl(0x3, 0x32, 0x7FFF4FEC6EB0) = 0 0
 4964/0x34936:  fcntl(0x3, 0x2C, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation\0",
0x7FFF4FEC8B68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit\0",
0x7FFF4FEC8B68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio\0",
0x7FFF4FEC8B68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices\0",
0x7FFF4FEC8B68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libSystem.B.dylib\0", 0x7FFF4FEC8B68,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libcache.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libcommonCrypto.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libcompiler_rt.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libcopyfile.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libcorecrypto.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libdispatch.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libdyld.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libkeymgr.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/liblaunch.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libmacho.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libquarantine.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libremovefile.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_asl.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_blocks.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_c.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_configuration.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_coreservices.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_coretls.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_dnssd.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_info.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_kernel.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_m.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_malloc.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_network.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/usr/lib/system/libsystem_networkextension.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_notify.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_platform.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_pthread.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_sandbox.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_secinit.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libsystem_trace.dylib\0",
0x7FFF4FEC8528, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libunc.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libunwind.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libxpc.dylib\0", 0x7FFF4FEC8528,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libobjc.A.dylib\0", 0x7FFF4FEC7808,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libauto.dylib\0", 0x7FFF4FEC7808,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libc++abi.dylib\0", 0x7FFF4FEC76E8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libc++.1.dylib\0", 0x7FFF4FEC76E8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libDiagnosticMessagesClient.dylib\0",
0x7FFF4FEC75D8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit\0",
0x7FFF4FEC8708, 0x7FFF4FC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList\0",
0x7FFF4FEC8708, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libbsm.0.dylib\0", 0x7FFF4FEC8508,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit\0",
0x7FFF4FEC8508, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration\0",
0x7FFF4FEC8508, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Security.framework/Versions/A/Security\0",
0x7FFF4FEC8508, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libsqlite3.dylib\0", 0x7FFF4FEC8508,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libz.1.dylib\0", 0x7FFF4FEC8508,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libxml2.2.dylib\0", 0x7FFF4FEC8508,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libicucore.A.dylib\0", 0x7FFF4FEC8508,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libenergytrace.dylib\0", 0x7FFF4FEC83B8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/system/libkxld.dylib\0", 0x7FFF4FEC83B8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libxar.1.dylib\0", 0x7FFF4FEC8308,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libpam.2.dylib\0", 0x7FFF4FEC8308,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libOpenScriptingUtil.dylib\0",
0x7FFF4FEC8308, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libbz2.1.0.dylib\0", 0x7FFF4FEC81E8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration\0",
0x7FFF4FEC8558, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS\0",
0x7FFF4FEC8558, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth\0",
0x7FFF4FEC83E8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport\0",
0x7FFF4FEC82D8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC\0",
0x7FFF4FEC8558, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libmecabra.dylib\0", 0x7FFF4FEC8558,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation\0",
0x7FFF4FEC8558, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices\0",
0x7FFF4FEC8418, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis\0",
0x7FFF4FEC8238, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface\0",
0x7FFF4FEC7FF8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate\0",
0x7FFF4FEC7FF8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport\0",
0x7FFF4FEC7FF8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Metal.framework/Versions/A/Metal\0",
0x7FFF4FEC7FF8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage\0",
0x7FFF4FEC7ED8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib\0",
0x7FFF4FEC7ED8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib\0",
0x7FFF4FEC7ED8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib\0",
0x7FFF4FEC7D68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib\0",
0x7FFF4FEC7D68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib\0",
0x7FFF4FEC7D68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib\0",
0x7FFF4FEC7D68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib\0",
0x7FFF4FEC7D68, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib\0",
0x7FFF4FEC7E48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib\0",
0x7FFF4FEC7E48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator\0",
0x7FFF4FEC7E48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libextension.dylib\0", 0x7FFF4FEC7BD8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libarchive.2.dylib\0", 0x7FFF4FEC7BD8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/liblangid.dylib\0", 0x7FFF4FEC7BD8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libCRFSuite.dylib\0", 0x7FFF4FEC7BD8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/liblzma.5.dylib\0", 0x7FFF4FEC7A98,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib\0",
0x7FFF4FEC8058, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib\0",
0x7FFF4FEC8058, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib\0",
0x7FFF4FEC7DC8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL\0",
0x7FFF4FEC7C48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo\0",
0x7FFF4FEC7C48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib\0",
0x7FFF4FEC7A48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib\0",
0x7FFF4FEC7A48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib\0",
0x7FFF4FEC7A48, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib\0",
0x7FFF4FEC78C8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib\0",
0x7FFF4FEC77B8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib\0",
0x7FFF4FEC7698, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libcompression.dylib\0", 0x7FFF4FEC7EA8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libcups.2.dylib\0", 0x7FFF4FEC7FF8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos\0",
0x7FFF4FEC7E58, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/GSS.framework/Versions/A/GSS\0",
0x7FFF4FEC7E58, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libresolv.9.dylib\0", 0x7FFF4FEC7E58,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libiconv.2.dylib\0", 0x7FFF4FEC7E58,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal\0",
0x7FFF4FEC7D38, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libheimdal-asn1.dylib\0", 0x7FFF4FEC7B68,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory\0",
0x7FFF4FEC7CB8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth\0",
0x7FFF4FEC7CB8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory\0",
0x7FFF4FEC7B38, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation\0",
0x7FFF4FEC7B38, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox\0",
0x7FFF4FEC80B8, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling\0",
0x7FFF4FEC8328, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libmarisa.dylib\0", 0x7FFF4FEC8328,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libChineseTokenizer.dylib\0",
0x7FFF4FEC8328, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libcmph.dylib\0", 0x7FFF4FEC8328,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData\0",
0x7FFF4FEC8328, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:
 stat64("/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement\0",
0x7FFF4FEC8378, 0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  stat64("/usr/lib/libxslt.1.dylib\0", 0x7FFF4FEC84F8,
0x7FFF4FEC6E38) = 0 0
 4964/0x34936:  open("/dev/dtracehelper\0", 0x2, 0x7FFF4FEC9850) = 3 0
 4964/0x34936:  ioctl(0x3, 0x80086804, 0x7FFF4FEC97D8) = 0 0
 4964/0x34936:  close(0x3) = 0 0
 4964/0x34936:  sysctl(0x7FFF4FEC7DB0, 0x2, 0x7FFF4FEC7DC0) = 0 0
 4964/0x34936:  thread_selfid(0x7FFF4FEC7DB0, 0x2, 0x7FFF4FEC7DC0) = 215350
0
 4964/0x34936:  bsdthread_register(0x7FFF95276344, 0x7FFF95276334, 0x2000)
= 1073741887 0
 4964/0x34936:  mprotect(0x10FE2E000, 0x88, 0x1) = 0 0
 4964/0x34936:  mprotect(0x10FFED000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x110003000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x110004000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x11001A000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x10FD50000, 0x1000, 0x1) = 0 0
 4964/0x34936:  mprotect(0x10FE2E000, 0x88, 0x3) = 0 0
 4964/0x34936:  mprotect(0x10FE2E000, 0x88, 0x1) = 0 0
 4964/0x34936:  issetugid(0x10FE2E000, 0x88, 0x1) = 0 0
 4964/0x34936:  getpid(0x10FE2E000, 0x88, 0x1) = 4964 0
 4964/0x34936:  stat64("/AppleInternal/XBS/.isChrooted\0", 0x7FFF4FEC7D18,
0x1) = -1 Err#2
 4964/0x34936:  stat64("/AppleInternal\0", 0x7FFF4FEC7C88, 0x1) = -1 Err#2
 4964/0x34936:  csops(0x1364, 0x7, 0x7FFF4FEC77A0) = -1 Err#22
 4964/0x34936:  sysctl(0x7FFF4FEC7B60, 0x4, 0x7FFF4FEC78D8) = 0 0
 4964/0x34936:  csops(0x1364, 0x7, 0x7FFF4FEC7090) = -1 Err#22
 4964/0x34936:  proc_info(0x2, 0x1364, 0x11) = 56 0
 4964/0x34936:  getuid(0x2, 0x1364, 0x11) = 626161485 0
 4964/0x34936:  geteuid(0x2, 0x1364, 0x11) = 626161485 0
 4964/0x34936:  getuid(0x2, 0x1364, 0x11) = 626161485 0
 4964/0x34936:  sysctl(0x7FFF4FEC7180, 0x4, 0x7FFF4FEC7198) = 0 0
 4964/0x34936:  getuid(0x7FFF4FEC7180, 0x4, 0x7FFF4FEC7198) = 626161485 0
 4964/0x34936:  mprotect(0x10FE30000, 0x88, 0x1) = 0 0
 4964/0x34936:  mprotect(0x11021B000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x110231000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x110232000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x110248000, 0x1000, 0x0) = 0 0
 4964/0x34936:  mprotect(0x10FD50000, 0x1000, 0x3) = 0 0
 4964/0x34936:  mprotect(0x10FD50000, 0x1000, 0x1) = 0 0
 4964/0x34936:  mprotect(0x10FE30000, 0x88, 0x3) = 0 0
 4964/0x34936:  mprotect(0x10FE30000, 0x88, 0x1) = 0 0
 4964/0x34936:
 stat64("/System/Library/PrivateFrameworks/Heimdal.framework/Heimdal\0",
0x7FFF4FEC5F28, 0x1) = 0 0
 4964/0x34936:  stat64("/System/Library/Frameworks/GSS.framework/GSS\0",
0x7FFF4FEC5F28, 0x1) = 0 0
 4964/0x34936:  getuid(0x7FFF81939C3E, 0x7FFF4FEC5F28, 0x1) = 626161485 0
 4964/0x34936:  getgid(0x7FFF81939C3E, 0x7FFF4FEC5F28, 0x1) = 649427843 0
 4964/0x34936:  setreuid(0x2552774D, 0x2552774D, 0x1) = 0 0
 4964/0x34936:  setregid(0x26B57B83, 0x26B57B83, 0x1) = 0 0
 4964/0x34936:  getuid(0x26B57B83, 0x26B57B83, 0x1) = 626161485 0
 4964/0x34936:  geteuid(0x26B57B83, 0x26B57B83, 0x1) = 626161485 0
 4964/0x34936:  getgid(0x26B57B83, 0x26B57B83, 0x1) = 649427843 0
 4964/0x34936:  getegid(0x26B57B83, 0x26B57B83, 0x1) = 649427843 0
 4964/0x34936:  ioctl(0x2, 0x4004667A, 0x7FFF4FEC601C) = 0 0
 4964/0x34936:  write_nocancel(0x2, "W: [] caps.c: \033[1mNormally all
extra capabilities would be dropped now, but that's impossible because
PulseAudio was built without capabilities support.\033[0m\n\0", 0x9D) = 157
0
 4964/0x34936:  getrlimit(0x1008, 0x7FFF4FECA6E0, 0x9D) = 0 0
 4964/0x34936:  sigaction(0x1, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x2, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x3, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x4, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x5, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x6, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x7, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x8, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xA, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xB, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xC, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xD, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xE, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0xF, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x10, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x12, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x13, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x14, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x15, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x16, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x17, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x18, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x19, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1A, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1B, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1C, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1D, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1E, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigaction(0x1F, 0x7FFF4FECA488, 0x0) = 0 0
 4964/0x34936:  sigprocmask(0x3, 0x7FFF4FECA4E8, 0x0) = 0x0 0
 4964/0x34936:  setpriority(0x0, 0x0, 0x0) = 0 0
 4964/0x34936:  getrlimit(0x1008, 0x7FFF4FEC9F98, 0x0) = 0 0
 4964/0x34936:  open_nocancel("/usr/share/locale/en_US.UTF-8/LC_COLLATE\0",
0x0, 0x1B6) = 3 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA018, 0x1B6) = 0 0
 4964/0x34936:  read_nocancel(0x3, "1.1A\n\0", 0x1000) = 2086 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:  open_nocancel("/usr/share/locale/en_US.UTF-8/LC_CTYPE\0",
0x0, 0x1B6) = 3 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA158, 0x1B6) = 0 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FEC9F48, 0x1B6) = 0 0
 4964/0x34936:  lseek(0x3, 0x0, 0x1) = 0 0
 4964/0x34936:  lseek(0x3, 0x0, 0x0) = 0 0
 4964/0x34936:  read_nocancel(0x3, "RuneMagAUTF-8\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "\0", 0x1000) = 4096 0
 4964/0x34936:  read_nocancel(0x3, "@\004\031\0", 0xDDD0) = 56784 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:
 open_nocancel("/usr/share/locale/en_US.UTF-8/LC_MONETARY\0", 0x0, 0x4) = 3
0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA170, 0x4) = 0 0
 4964/0x34936:  read_nocancel(0x3, "USD
\n$\n.\n,\n3;3\n\n-\n2\n2\n1\n0\n1\n0\n1\n1\n(\0", 0x22) = 34 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:  open_nocancel("/usr/share/locale/en_US.UTF-8/LC_NUMERIC\0",
0x0, 0x3) = 3 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA170, 0x3) = 0 0
 4964/0x34936:  read_nocancel(0x3, ".\n,\n3;3\n@$\b\0", 0x8) = 8 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:  open_nocancel("/usr/share/locale/en_US.UTF-8/LC_TIME\0",
0x0, 0x0) = 3 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA170, 0x0) = 0 0
 4964/0x34936:  read_nocancel(0x3,
"Jan\nFeb\nMar\nApr\nMay\nJun\nJul\nAug\nSep\nOct\nNov\nDec\nJanuary\nFebruary\nMarch\nApril\nMay\nJune\nJuly\nAugust\nSeptember\nOctober\nNovember\necember\nSun\nMon\nTue\nWed\nThu\nFri\nSat\nSunday\nMonday\nTuesday\nWednesday\nThursday\nFriday\nSaturday\n%H:%M:%S\n%m/%d/%Y\n%a
%b %e %X %Y\nAM\nP", 0x179) = 377 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:
 open_nocancel("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/LC_MESSAGES\0",
0x0, 0x8) = 3 0
 4964/0x34936:  fstat64(0x3, 0x7FFF4FECA170, 0x8) = 0 0
 4964/0x34936:  read_nocancel(0x3, "^[yYsS].*\n^[nN].*\n(\0", 0x12) = 18 0
 4964/0x34936:  close_nocancel(0x3) = 0 0
 4964/0x34936:  readlink("/proc/self/exe\0", 0x7FE7FBD007F0, 0x63) = -1
Err#2
 4964/0x34936:  open_nocancel("/Users/shooten/.pulse//daemon.conf\0", 0x0,
0x1B6) = -1 Err#2
 4964/0x34936:
 open_nocancel("/Users/shooten/.config/pulse//daemon.conf\0", 0x0, 0x1B6) =
-1 Err#13
 4964/0x34936:  ioctl(0x2, 0x4004667A, 0x7FFF4FEC563C) = 0 0
 4964/0x34936:  write_nocancel(0x2, "W: [] core-util.c: \033[1mFailed to
open configuration file '/Users/shooten/.config/pulse//daemon.conf':
Permission denied\033[0m\n@\004\0", 0x7C) = 124 0
 4964/0x34936:  ioctl(0x2, 0x4004667A, 0x7FFF4FEC56BC) = 0 0
 4964/0x34936:  write_nocancel(0x2, "W: [] daemon-conf.c: \033[1mFailed to
open configuration file: Permission denied\033[0m\n\0", 0x52) = 82 0
dtrace: error on enabled probe ID 2199 (ID 886:
syscall::thread_selfid:return): invalid user access in action #5 at DIF
offset 0

Sean
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 07:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 07:50:02 GMT) Full text and rfc822 format available.

Message #56 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 09:47:25 +0200
[Message part 1 (text/plain, inline)]
On 10/26/2017 09:41 AM, Sean Hooten wrote:
> Okay so I ran dtrace, and then in another shell ran the second command. The
> second command output:
> 
> $ /Applications/x2goclient.app/Contents/exe/pulseaudio --version
> W: [] caps.c: Normally all extra capabilities would be dropped now, but that's
> impossible because PulseAudio was built without capabilities support.
> W: [] core-util.c: Failed to open configuration file
> '/Users/shooten/.config/pulse//daemon.conf': Permission denied
> W: [] daemon-conf.c: Failed to open configuration file: Permission denied

>  4964/0x34936:  write_nocancel(0x2, "W: [] core-util.c: \033[1mFailed to open
> configuration file '/Users/shooten/.config/pulse//daemon.conf': Permission
> denied\033[0m\n@\004\0", 0x7C) = 124 0
>  4964/0x34936:  ioctl(0x2, 0x4004667A, 0x7FFF4FEC56BC) = 0 0
>  4964/0x34936:  write_nocancel(0x2, "W: [] daemon-conf.c: \033[1mFailed to open
> configuration file: Permission denied\033[0m\n\0", 0x52) = 82 0
> dtrace: error on enabled probe ID 2199 (ID 886: syscall::thread_selfid:return):
> invalid user access in action #5 at DIF offset 0

Ah, there we go.

ls -ldh /Users/shooten/.config/pulse//daemon.conf

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Thu, 26 Oct 2017 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sean Hooten <shooten@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Oct 2017 17:45:02 GMT) Full text and rfc822 format available.

Message #61 received at 1226@bugs.x2go.org (full text, mbox):

From: Sean Hooten <shooten@berkeley.edu>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 1226@bugs.x2go.org
Subject: Re: [X2Go-Dev] x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Thu, 26 Oct 2017 10:43:05 -0700
[Message part 1 (text/plain, inline)]
On Thu, Oct 26, 2017 at 12:47 AM, Mihai Moldovan <ionic@ionic.de> wrote:
>
> Ah, there we go.
>
> ls -ldh /Users/shooten/.config/pulse//daemon.conf


First output I got from that command was:
ls: /Users/shooten/.config/pulse//daemon.conf: Permission denied

So I opened a new shell as root and attempted the same command, but
apparently the directory
/Users/shooten/.config/pulse
doesn't exist.

Sean
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1226; Package x2goclient. (Sat, 26 May 2018 08:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 26 May 2018 08:15:02 GMT) Full text and rfc822 format available.

Message #66 received at 1226@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Sean Hooten <shooten@berkeley.edu>
Cc: 1226@bugs.x2go.org
Subject: Re: x2goclient for Mac OS immediately throws error regarding "PulseAudio verison number" then crashes
Date: Sat, 26 May 2018 10:12:21 +0200
[Message part 1 (text/plain, inline)]
* On 10/26/2017 07:48 PM, Stefan Baur wrote:
> Am 26.10.2017 um 19:43 schrieb Sean Hooten:
>> First output I got from that command was:
>> ls: /Users/shooten/.config/pulse//daemon.conf: Permission denied
>>
>> So I opened a new shell as root and attempted the same command, but
>> apparently the directory
>> /Users/shooten/.config/pulse
> 
> And what does
> 
> ls -ldh /Users/shooten/.config
> 
> say?
> 
> Maybe you accidentally removed write or directory entry permissions to
> ".config"?

Ping?


Mihai


[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 16:24:29 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.